# AIAI CLI

AIAI CLI is a powerful tool for optimizing AI agents through automated rule extraction and performance enhancement.

[![GitHub stars](https://img.shields.io/github/stars/zenbase-ai/aiai-cli?style=social)](https://github.com/zenbase-ai/aiai-cli/stargazers)

## Features

- **Agent Optimization**: Automatically identify and implement optimization rules for your AI agents
- **Custom Agent Support**: Optimize your own agent implementations
- **Demonstration Capabilities**: Includes a demo email agent for learning purposes

## Installation

```bash
pip install aiai-cli
```

AIAI CLI requires Python 3.11 or higher and an OpenAI API key for some features.

## Quick Start

```bash
# Run AIAI CLI
aiai

# Select options through the interactive interface
```

## Usage Examples

### Optimizing the Demo Agent

```bash
# Run AIAI CLI
aiai

# Select option 1 to optimize the demo agent
```

### Optimizing Your Custom Agent

Ensure your agent has:
1. A main entry point file
2. A `main(inputs=None)` function that runs your agent

```bash
# Run AIAI CLI
aiai

# Select option 2 to optimize your custom agent
# Provide the path to your agent's entry point file when prompted
```

## Documentation

For complete documentation, visit:
[AIAI CLI Documentation](https://docs.aiai.engineer/)

---

Developed by [Zenbase AI](https://zenbase.ai)
